SYMPA_MSG(8)

NAME
sympa_msg, sympa_msg.pl - Daemon to handle incoming messages

SYNOPSIS
sympa_msg.pl [ -d, --debug ] [ -f, --file=another.sympa.conf ]
      [ -k, --keepcopy=directory ]
      [ -l, --lang=lang ] [ -m, --mail ]
      [ -h, --help ] [ -v, --version ]

DESCRIPTION
Sympa_msg.pl is a program which scans permanently the incoming message spool and processes each message.

Messages bound for the lists and authorized sending are modified as neccesity and at last stored into digest spool, archive spool and outgoing spool. Those bound for command addresses are interpreted and appropriate actions are taken. Those bound for listmasters or list admins are forwarded to them.

OPTIONS
Sympa_msg.pl follows the usual GNU command line syntax, with long options starting with two dashes ("--"). A summary of options is included below.

-d, --debug
    Enable debug mode.

-f, --config=file
    Force Sympa to use an alternative configuration file instead of /var/sympa/etc/sympa.conf.

-l, --lang=lang
    Set this option to use a language for Sympa. The corresponding gettext catalog file must be located in /usr/local/share/locale directory.

--log_level=level
    Sets Sympa log level.

sympa_msg.pl may run in daemon mode with following options.

--foreground
    The process remains attached to the TTY.

-k, --keepcopy=directory
    This option tells Sympa to keep a copy of every incoming message, instead of deleting them. `directory' is the directory to store messages.

-m, --mail
    Sympa will log calls to sendmail, including recipients. This option is useful for keeping track of each mail sent (log files may grow faster though).

--service=process_command|process_message|process_creation
    Note: This option was deprecated.

    Process is dedicated to messages distribution, commands or to automatic lists creation (default three of them).

With following options sympa_msg.pl will print some information and exit.

-h, --help
    Print this help message.

-v, --version
    Print the version number.

FILES
/var/sympa/etc/sympa.conf main configuration file.

/var/run/sympa/sympa_msg.pid this file contains the process ID of sympa_msg.pl.

SEE ALSO
sympa.conf(5), sympa(1).

archived(8), bulk(8), bounced(8), sympa_automatic(8), task_manager(8).

Sympa::Spindle::ProcessDigest, Sympa::Spindle::ProcessIncoming.

HISTORY
sympa.pl was originally written by:

Serge Aumont
    Comité Réseau des Universités

Olivier Salaün
    Comité Réseau des Universités

As of Sympa 6.2b.4, it was split into three programs: sympa.pl command line utility, sympa_automatic.pl daemon and sympa_msg.pl daemon.